Bug 175352 - Preinstall scriptlet does not check if avahi is currently installed
Preinstall scriptlet does not check if avahi is currently installed
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Depends On:
  Show dependency treegraph
Reported: 2005-12-09 04:14 EST by Boyan Anastasov
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-12 13:10:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Boyan Anastasov 2005-12-09 04:14:12 EST
From Bugzilla Helper:
User-Agent: Opera/9.00 (X11; Linux i686; U; en)

Description of problem:
After every yum upgrade of avahi, avahi-daemon is set to start on boot even if 
I previously disabled it with:
chkconfig avahi-daemon off

Preinstall script does not check if avahi is already installed and resets my 

bash# rpm -q --scripts avahi
preinstall scriptlet (using /bin/sh):
# Add the "avahi" user
/usr/sbin/useradd -c 'Avahi daemon' -u 70 \
        -s /sbin/nologin -r -d '/' avahi 2> /dev/null || :
postinstall scriptlet (using /bin/sh):
if [ "$1" -eq 1 ]; then
   /sbin/chkconfig --add avahi-daemon >/dev/null 2>&1

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Upgrade avahi with yum or rpm

Actual Results:  bash# chkconfig --list avahi-daemon
avahi-daemon    0:off   1:off   2:off   3:on    4:on    5:on    6:off

Expected Results:  Like before upgrade it should be:
bash# chkconfig --list avahi-daemon
avahi-daemon    0:off   1:off   2:off   3:off   4:off   5:off   6:off

Additional info:
Comment 1 Jason Vas Dias 2005-12-09 16:35:58 EST
This bug is now fixed with avahi-0.6.1-2 , in tomorrow's rawhide -
only if the avahi-daemon service is not known to chkconfig at all
will the chkconfig --add be done . 

Unfortunately, we have to enable the avahi service by default, because packages
like gnome-meeting, gnome-vfs, openoffice, etc. depend on the avahi service 
running - hopefully in the future we'll have a way of letting services dynamically
enable services on which they depend.
Comment 2 Lennart Poettering 2007-08-12 13:10:06 EDT
I think this can be closed now.

Note You need to log in before you can comment on or make changes to this bug.